%global mysql_version		4.1.14
%global momorel			1
%global mysqld_user		mysql

%global see_base For a description of MySQL see the base MySQL RPM or http://www.mysql.com

Name: MySQL
Summary: MySQL: a very fast and reliable SQL database server
Group: Applications/Databases
Version: %{mysql_version}
Release: %{momorel}m
License: GPL or "MySQL" and see "COPYING"
%NoSource 0 http://download.softagency.net/MySQL/Downloads/MySQL-4.1/mysql-%{mysql_version}.tar.gz 98ba9caea24b0a48ee06bb242ff2e37f
Patch: mysql-scripts.patch
Patch1: mysql-initscript.patch
Patch2: mysql-g++34.patch
URL: http://www.mysql.com/
Prereq: initscripts chkconfig shadow-utils info
Requires: coreutils
Requires: MySQL-shared-libs = %{version}-%{release}
Provides: msqlormysql MySQL-server mysqlserver relational-database
Obsoletes: mysql
BuildRequires: perl zlib-devel
BuildPrereq: gcc-c++ >= 3.4.1-1m

# Think about what you use here since the first step is to
# run a rm -rf
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# From the manual
%description
The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
and robust SQL (Structured Query Language) database server. MySQL Server
is intended for mission-critical, heavy-load production systems as well
as for embedding into mass-deployed software. MySQL is a trademark of
MySQL AB.

The MySQL software has Dual Licensing, which means you can use the MySQL
software free of charge under the GNU General Public License
(http://www.gnu.org/licenses/). You can also purchase commercial MySQL
licenses from MySQL AB if you do not wish to be bound by the terms of
the GPL. See the chapter "Licensing and Support" in the manual for
further info.

The MySQL web site (http://www.mysql.com/) provides the latest
news and information about the MySQL software. Also please see the
documentation and the manual for more information.

This package includes the MySQL server binary (incl. InnoDB) as well
as related utilities to run and administrate a MySQL server.

If you want to access and work with the database, you have to install
package "MySQL-client" as well!

%package client
Summary: MySQL - Client
Group: Applications/Databases
Provides: mysqlclient
Requires: MySQL-shared-libs = %{version}-%{release}
Obsoletes: mysql-client

%description client
This package contains the standard MySQL clients and administration tools. 

%{see_base}

%package shared-libs
Group: Applications/Databases
Provides: mysql-shared-libs
Summary: Shared libraries for MySQL

%description shared-libs
Shared libraries for MySQL

%package bench
Requires: MySQL-client = %{version}-%{release} perl-DBI perl
Summary: MySQL - Benchmarks and test system
Group: Applications/Databases
Obsoletes: mysql-bench

%description bench
This package contains MySQL benchmark scripts and data.

%{see_base}

%package devel
Summary: MySQL - Development header files and libraries
Group: Applications/Databases
Obsoletes: mysql-devel
Requires: MySQL-shared-libs = %{version}-%{release}

%description devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.

%{see_base}

%prep
%setup -q -n mysql-%{mysql_version}
%patch -p1 -b .script
%patch1 -p1 -b .init
%patch2 -p1

# mysql_config should return -L%{_libdir} on any arch.
%__perl -p -i -e 's|lib/mysql lib|%{_lib}|' scripts/mysql_config.sh

%build
# The --enable-assembler simply does nothing on systems that does not
# support assembler speedups.
CXXFLAGS="${optflags} -fno-rtti -fno-exceptions" \
%configure \
	--enable-assembler \
	--enable-local-infile \
	--enable-thread-safe-client \
	--without-debug \
	--with-extra-charsets=complex \
        --with-mysqld-user=%{mysqld_user} \
        --with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--prefix=/ \
	--libexecdir=%{_sbindir} \
	--localstatedir=/var/lib/mysql

# benchdir does not fit in above model. Maybe a separate bench distribution
%make benchdir_root=%{buildroot}%{_datadir}

%install -n mysql-%{mysql_version}
%__rm -rf %{buildroot}
# Ensure that needed directories exists
%__install -d %{buildroot}%{_sysconfdir}/logrotate.d
%__install -d %{buildroot}%{_initscriptdir}
%__install -d %{buildroot}/var/lib/mysql/{mysql,test}
%__install -d %{buildroot}%{_datadir}/{sql-bench,mysql-test}
%__install -d %{buildroot}%{_includedir}
%__install -d %{buildroot}%{_libdir}
%__install -d %{buildroot}%{_mandir}
%__install -d %{buildroot}%{_sbindir}

# Install all binaries
%__make install DESTDIR=%{buildroot} benchdir_root=%{_datadir} transform='s,x,x,'

# Move shared and static libraries
%__mv %{buildroot}%{_libdir}/mysql/libmysqlclient.* %{buildroot}%{_libdir}/
%__mv %{buildroot}%{_libdir}/mysql/libmysqlclient_r.* %{buildroot}%{_libdir}/
%__perl -pi -e "s|%{_libdir}/mysql|%{_libdir}|" \
	%{buildroot}%{_libdir}/libmysqlclient.la %{buildroot}%{_libdir}/libmysqlclient_r.la

# Install logrotate and autostart
%__install -m644 support-files/mysql-log-rotate %{buildroot}%{_sysconfdir}/logrotate.d/mysql
%__install -m755 support-files/mysql.server %{buildroot}%{_initscriptdir}/mysql

# Install docs
%__install -m644 Docs/mysql.info %{buildroot}%{_infodir}/mysql.info

# remove unwanting files.
rm -f %{buildroot}%{_bindir}/mysql_client_test

%pre
groupadd -g 27 -o -r mysql >/dev/null 2>&1 || :
useradd -M -n -g mysql -o -r -d /var/lib/mysql -s /bin/bash \
  -c "MySQL server" -u 27 mysql >/dev/null 2>&1 || :

%post
/sbin/chkconfig --add mysql
/sbin/install-info --dir-file=%{_infodir}/dir %{_infodir}/mysql.info.*

%preun
if [ "$1" -ge "1" ]; then
    /sbin/service mysql condrestart >/dev/null 2>&1 || :
fi
if [ $1 = 0 ]; then
    /sbin/chkconfig --del mysql
    /sbin/install-info --delete --dir-file=%{_infodir}/dir %{_infodir}/mysql.info.*
fi

%post shared-libs -p /sbin/ldconfig

%postun shared-libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING EXCEPTIONS-CLIENT README ChangeLog
%doc support-files/my-*.cnf
%{_bindir}/isamchk
%{_bindir}/isamlog
%{_bindir}/my_print_defaults
%{_bindir}/myisamchk
%{_bindir}/myisam_ftdump
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
%{_bindir}/mysql_create_system_tables
%{_bindir}/mysql_explain_log 
%{_bindir}/mysql_fix_extensions
%{_bindir}/mysql_fix_privilege_tables
%{_bindir}/mysql_install_db
%{_bindir}/mysql_secure_installation 
%{_bindir}/mysql_setpermission
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_zap
%{_bindir}/mysqlbug
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqlhotcopy
%{_bindir}/mysqltest
%{_bindir}/pack_isam
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip
%{_mandir}/man1/isamchk.1*
%{_mandir}/man1/isamlog.1*
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqld.1*
%{_mandir}/man1/mysql_fix_privilege_tables.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_infodir}/mysql.info*
%{_sbindir}/mysqld
%config(noreplace) %{_sysconfdir}/logrotate.d/mysql
%{_initscriptdir}/mysql
%{_datadir}/mysql/
%attr(0755,mysql,mysql) %dir /var/lib/mysql

%files client
%defattr(-,root,root)
%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysql_find_rows
%{_bindir}/mysql_tableinfo
%{_bindir}/mysql_waitpid 
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqldumpslow
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*

%files shared-libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/comp_err
%{_bindir}/mysql_config
%{_includedir}/mysql/
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/mysql/

%files bench
%defattr(-,root,root)
%{_datadir}/sql-bench
%{_datadir}/mysql-test
%{_bindir}/mysqlmanager
%{_bindir}/mysqlmanager-pwgen
%{_bindir}/mysqlmanagerc

%clean
%__rm -rf %{buildroot}

%changelog
* Sat Sep  3 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.1.14-1m)
- update to 4.1.14
  many enhancements and new features.
  see http://dev.mysql.com/doc/mysql/en/news-4-1-x.html
- revised %%pre, %%post
  no run mysql_install_db and %%{_initscriptdir}/mysql
- run install-info
- remove manual.ja

* Thu Jul  7 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.25-1m)
- update to 4.0.25
- revised %%doc

* Thu Mar 31 2005 Toru Hoshina <t@momonga-linux.org>
- (4.0.24-2m)
- fixed mysql_config because of multilib support.

* Thu Mar 24 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.24-1m)
- update to 4.0.24
- [SECURITY]
  The server creates `.frm', `.MYD', `.MYI', `.MRG', `.ISD', and
  `.ISM' table files only if a file with the same name does not
  already exist.
- [SECURITY]
  User-defined functions should have at least one symbol defined in
  addition to the `xxx' symbol that corresponds to the main `xxx()'
  function.

* Thu Feb 24 2005 Toru Hoshina <t@momonga-linux.org>
- (4.0.23a-3m)
- rebuild against g++ 3.4.3.

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (4.0.23a-2m)
- add transform='s,x,x,' to make install arguments

* Sat Jan  8 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.23a-1m)
- update to 4.0.23a

* Sat Nov  6 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.22-1m)
- update to 4.0.22
- revise mysql-scripts.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.0.21-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Mon Sep 13 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.21-1m)
- update to 4.0.21
- change Source0 URI
- revise mysql-scripts.patch

* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.24-4m)
- change uid/gid

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.24-3m)
- stop daemon

* Sat May 29 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.20-2m)
- add /usr/bin/make_win_binary_distribution

- (4.0.20-1m)
- update to 4.0.20

* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (4.0.18-2m)
- revised spec for enabling rpm 4.2.

* Sun Feb 15 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.18-1m)
- update to 4.0.18
- revise mysql-initscript.patch
- added myisam_ftdump to %%files

* Sat Dec 20 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.17-1m)
- update to 4.0.17

* Thu Dec 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.0.16-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.16-1m)
- update to 4.0.16
- fix mysql-initscript.patch
- fix License: preamble

* Fri Sep 12 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.15-1m)
- update to 4.0.15
  bugfix release

* Fri Aug 22 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.0.14-1m)
- update to 4.0.14 (major version up)
- update a Japanese document
- refresh spec file
- change License tag to "MySQL"
  GPL2 or commercial non-GPL
- fix mysql-scripts.patch, mysql-initscript.patch
- *.so moved from -shared-libs package to -devel package
- moved lib*.a to /usr/lib/mysql, libmysqlclient*.a excepted.

* Sat Jul  7 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.23.57-1m)
- update to 3.23.57
- use %%{?_smp_mflags}

* Tue Apr 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.23.56-1m)
- major bugfixes

* Mon Dec 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.23.54a-1m)
- major bugfixes

* Tue Sep  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.23.52-1m)
- major bugfixes
- change Source0 URI to the mirror site in Japan

* Mon Jul 15 2002 Kikutani Makoto <poo@momonga-linux.org>
- (3.23.51-3m)
- Provides relational-database

* Fri Jun 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.23.51-2k)

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (3.23.49-8k)
- fix url (koso-ri)

* Fri Apr 12 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.23.49-8k)
- initscript patch

* Wed Mar 13 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.23.49-6k)
- update a Japanese document

* Thu Mar  7 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.23.49-4k)
- fix a typo... (--with-extra-charset -> --with-extra-charsets)

* Mon Feb 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.23.49-2k)

* Sat Feb  9 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.23.47-2k)
- add '--with-extra-charsets=complex'

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (3.23.44-6k)
- comment out %chkconfig

* Fri Nov  9 2001 Toru Hoshina <t@kondara.org>
- (3.23.44-4k)
- MySQL-shared-libs.... no mysql-share-libs... (TT)

* Sat Nov  3 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.23.44-2k)
- revise URI of Source0
- include gunziped manual.ja.texi as Source1

* Tue Oct 16 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.23.43-2k)

* Fri Sep 21 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.23.42-2k)
- clean up spec file
- add japanese document

* Wed Sep 12 2001 Toru Hoshina <t@kondara.org>
- (3.23.38-12k)
- libraries has been moved to /usr/lib ;-<

* Sun Sep  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.38-10k)
- add PreReq: hostname tag

* Wed May 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.38-8k)
- cdrom install fails if mysql boots, so I (dyky) remove to start mysql at %post section

* Wed May 23 2001 Akira Higuchi <a@kondara.org>
- close fd#3 and fd#4 when invoking /etc/rc.d/init.d/mysql in %post
- reverted the previous (4k) change

* Wed May 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.38-4k)
- cdrom install fails if mysql boots, so I (dyky) stop mysql at %post section

* Mon May 21 2001 Toru Hoshina <toru@df-usa.com>
- (3.23.38-2k)

* Sat Apr 21 2001 Toru Hoshina <toru@df-usa.com>
- (3.23.32-10k)
- move shared lib to /usr/lib/mysql.

* Thu Apr 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.32-8k)
- add %defattr to client %files section

* Mon Jan 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.32-5k)
- modified %files section

* Mon Jan 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.23.32-3k)
- update to 3.23.32
- modified License to GPL

* Tue Jan 23 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix Source name and prep section
- change Icon format to xpm

* Wed Dec 13 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (3.22.32-19k)
- modified the bug that this package seize /etc/rc.d directory

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (3.22.32-13k)
- fixed for FHS
- added %clean process
- modified buildroot tag

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc 2.96, glibc 2.1.91.

* Thu Jul 20 2000 Toru Hoshina <t@kondara.org>
- merge from Mandrake.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.22.32-6mdk
- Recompile with egcs on alpha.

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 3.22.32-5mdk
- disable starting of mysql while in install

* Thu Apr 06 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-4mdk
- fix bench perms

* Thu Apr 06 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-3mdk
- cleaned spec file

* Mon Apr 03 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-2mdk
- new group

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.22.32-1mdk
- updated to 3.22.32 - security updates

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.30

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Mon Jan 3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.29

* Wed Dec 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.27

* Wed Sep 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- put the shared libs in separate package
- fixed dependancies

* Thu Aug 19 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added fr locale
- Mandrake adaptations
- Solaris adaptations


* Mon Feb 22 1999 David Axmark <david@detron.se>

- Removed unportable cc switches from the spec file. The defaults can
  now be overridden with environment variables. This feature is used
  to compile the official RPM with optimal (but compiler version
  specific) switches.

- Removed the repetitive description parts for the sub rpms. Maybe add
  again if RPM gets a multiline macro capability.

- Added support for a pt_BR translation. Translation contributed by
  Jorge Godoy <jorge@bestway.com.br>.

* Wed Nov 4 1998 David Axmark <david@detron.se>

- A lot of changes in all the rpm and install scripts. This may even
  be a working RPM :-)

* Sun Aug 16 1998 David Axmark <david@detron.se>

- A developers changelog for MySQL is available in the source RPM. And
  there is a history of major user visible changed in the Reference
  Manual.  Only RPM specific changes will be documented here.
